org.apache.http.impl.cookie

## Class BestMatchSpec

- java.lang.Object
- - org.apache.http.impl.cookie.DefaultCookieSpec
  - - org.apache.http.impl.cookie.BestMatchSpec

All Implemented Interfaces:
  CookieSpec

Deprecated.
(4.4) use `DefaultCookieSpec`.

    @Contract(threading=SAFE)
    @Deprecated
    public class BestMatchSpec
    extends DefaultCookieSpec

'Meta' cookie specification that picks up a cookie policy based on the format of cookies sent with the HTTP response.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`BestMatchSpec()` Deprecated.
`BestMatchSpec(String[] datepatterns, boolean oneHeader)` Deprecated.

### Method Summary

Methods
`String` `toString()` Deprecated.

### Methods inherited from class org.apache.http.impl.cookie.DefaultCookieSpec

`formatCookies, getVersion, getVersionHeader, match, parse, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BestMatchSpec

    public BestMatchSpec(String[] datepatterns,
                 boolean oneHeader)

Deprecated.

#### BestMatchSpec

    public BestMatchSpec()

Deprecated.

### Method Detail

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `DefaultCookieSpec`